UNW\_FLUSH\_CACHE(3libunwind)

NAME
unw_flush_cache -- flush cached info

SYNOPSIS

#include <libunwind.h>

void unw_flush_cache(unw_addr_space_t as, unw_word_t lo, unw_word_t hi);

DESCRIPTION

The unw_flush_cache() routine flushes all cached info as it relates to address range lo to hi (non-inclusive) in the target address space as. In addition, all info cached for address space as that is not tied to a particular code range is also flushed. For example, the address of the dynamic registration list is not tied to a code range and its cached value (if any) is flushed by a call to this routine. The address range specified by lo and hi should be understood as a hint: unw_flush_cache() may flush more information than requested, but never less. In other words, unw_flush_cache() may overflush, but not underflush.

As a special case, if arguments lo and hi are both 0, all information cached on behalf of address space as is flushed.

RETURN VALUE

The unw_flush_cache() routine cannot fail and does not return a value.

THREAD AND SIGNAL SAFETY

The unw_flush_cache() routine is thread safe as well as safe to use from a signal handler.

SEE ALSO

libunwind(3libunwind), unw_set_caching_policy(3libunwind) unw_set_cache_size(3libunwind)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.